#!/bin/bash

autoremovefile="/etc/apt/apt.conf.d/01autoremove"
#depsfile="statustest_debug"
depsfile="/var/lib/dpkg/status"
pyscript="/opt/N9QTweak/Deps/deps.py"

UNDERLINE='\033[4m'
INVERSE='\033[7m'
NORMAL='\033[0m'
RED='\033[1;31m'
GREEN='\033[1;32m'
BGRED='\033[41m'

xexit()
{
	echo -e $1
	exit $2
}

if [ ! -f /etc/apt/sources.list.d/aegis.ssu-keyring-001.list ]
then
    echo 'deb https://qa9recEP:Pat2UGuP@downloads.maemo.nokia.com/harmattan/001 ./
deb https://qa9recEP:Pat2UGuP@downloads.maemo.nokia.com/harmattan/apps ./
deb https://qa9recEP:Pat2UGuP@downloads.maemo.nokia.com/harmattan/tools ./' > /etc/apt/sources.list.d/aegis.ssu-keyring-001.list
    apt-get update
fi
if [ ! -f /usr/bin/python ]; then
        echo "python not installed, trying to install..."
        apt-get install python || xexit "${BGRED}Failed to install python, exiting...${NORMAL}" 11
fi

if [ ! -f "$pyscript" ]; then
        xexit "Can't locate $pyscript script, exiting..." 12
fi

`cat $autoremovefile | grep "mp-harmattan-001-pr" > /dev/null` ||
echo -n "APT
{
  NeverAutoRemove
  {
        \"^linux-image.*\";
        \"^linux-restricted-modules.*\";
        \"^kfreebsd-image.*\";
        \"mp-harmattan-001-pr\";
  };
};" > $autoremovefile

echo -e "${INVERSE}[built-in apps remover by CODeRUS]${NORMAL}"
echo -e "1. ${RED}Remove${NORMAL}"
echo -e "2. ${GREEN}Restore${NORMAL}"
echo ""
echo -en "${UNDERLINE}Select action${NORMAL}:"
read -p " " action
echo
echo "You can type a few numbers that you want separated by one space and press ENTER. (ex: 2 5 9... Enter)"
echo ""
echo "0. All applications"
echo "1. Twitter"
deps[1]="webupload-service-twitter libmeegotwitter twitter l10n-app-twitter twitter-qml twitter-meego account-plugin-twitter l10n-app-twittershare"
echo "2. Facebook"
deps[2]="signon-facebookplugin facebook libqt-facebook facebook-meego account-plugin-facebook facebookqml l10n-app-facebook l10n-app-facebookshare webupload-service-facebook"
echo "3. Userguide"
deps[3]="tracker-extractor-userguide userguide-content userguide-content-guard userguide emmc-content-base-files"
echo "4. Search"
deps[4]="search"
echo "5. Ovi Music"
deps[5]="morpheus morpheus-guard ovi-music-store"
echo "6. Youtube"
deps[6]="video-youtube-plugin webupload-service-youtube youtube-plugin-meta l10n-app-youtube account-plugin-youtube"
echo "7. Calculator"
deps[7]="calc"
echo "8. Notes"
deps[8]="notes"
echo "9. Skype"
deps[9]="telepathy-spirit account-plugin-skype l10n-app-skype"
echo "10. Track and Protect"
deps[10]="tnpclient"
echo "11. MyNokia"
deps[11]="meegotouch-controlpanelmynokiaapplet"
echo "12. Nokia Drive"
deps[12]="nokia-drive-qml nokia-drive-qml-guard"
echo "13. Nokia Maps"
deps[13]="maps maps-guard"
echo ""
echo -en "${UNDERLINE}Select${NORMAL}:"
read -p " " choose
echo
if [ $choose -eq 0 ]; then choose="1 2 3 4 5 6 7 8 9 10 11 12 13"; fi 
for app in $choose
do
	choosen=${deps[$app]}
	case $action in
        1)	python $pyscript remove $depsfile $choosen ;;
        2)	python $pyscript restore $depsfile $choosen ;;
        esac
	pkill pkgmgrd
	rm /var/lib/dpkg/lock
	case $action in
	1)      apt-get remove $choosen ;;
	2)      apt-get install $choosen ;;
	esac
done
echo "If after apt-get install restored app not working try apt-get install -f"
